#include <iostream>
#include <bits/stdc++.h>
using namespace std;



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);


    int n, q, l, d, s, prviVeci, prviManji, rez, x, indeks;
    cin >> n >> q;
    int niz[n+1];
    for(int i = 1;i<=n;i++)
    {
        cin >> niz[i];
    }
    int pom = n;
    sort(niz+1, niz+n+1);
    for(int i = 0;i<q;i++)
    {
        cin >> x;
        if(x > niz[n])
        {
            cout << n<<'\n';

        }
        else if(x < niz[1])
        {
            cout << n+1<<'\n';

        }
        else
        {
            l = 1;
            d = n;
            prviVeci = n+1;
            while(l<=d)
            {
                s = l+(d-l)/2;
                if(niz[s]<=x)
                {
                    l = s+1;
                }
                else
                {
                    prviVeci = s;
                    d = s-1;
                }
            }
            l = 1;
            d = n;
            prviManji = 0;
            while(l<=d)
            {
                s = l+(d-l)/2;
                if(niz[s] >= x)
                {
                    d = s-1;
                }
                else
                {
                    prviManji = s;
                    l = s+1;
                }
            }
            if(prviManji+1 == prviVeci)
            {
                rez++;
                pom++;
                prviVeci++;

            }
            s = pom/2+1;
            if(prviManji+1 > s)
            {
                cout << rez + prviManji*2-pom<<'\n';
            }
            else if(prviVeci-1 < s)
            {
                cout << rez - prviVeci*2+pom+3 <<'\n';
            }
            else
                cout << rez<<'\n';


        }
        pom = n;
        rez = 0;


    }


}